Loading...
Searching...
No Matches
XrdCl::RawWrapper Class Reference

Wrapper class for raw response handler (ResponseHandler). More...

`#include <XrdClOperationHandlers.hh>`

Inheritance diagram for XrdCl::RawWrapper:
Collaboration diagram for XrdCl::RawWrapper:

## Public Member Functions

| RawWrapper (ResponseHandler *handler)
virtual void | HandleResponseWithHosts (XRootDStatus *status, AnyObject *response, HostList *hostList)
Public Member Functions inherited from XrdCl::ResponseHandler
virtual | ~ResponseHandler ()
virtual void | HandleResponse (XRootDStatus *status, AnyObject *response)

## Additional Inherited Members

Static Public Member Functions inherited from XrdCl::ResponseHandler
static ResponseHandler * | Wrap (std::function< void(XRootDStatus &, AnyObject &)> func)
static ResponseHandler * | Wrap (std::function< void(XRootDStatus *, AnyObject *)> func)

## Detailed Description

Wrapper class for raw response handler (ResponseHandler).

Definition at line 585 of file XrdClOperationHandlers.hh.

## Constructor & Destructor Documentation

## RawWrapper()

XrdCl::RawWrapper::RawWrapper | ( | ResponseHandler * | handler | ) |

inline

Constructor

Parameters

  handler | : the actual operation handler

Definition at line 594 of file XrdClOperationHandlers.hh.

: handler( handler )
{
}

## Member Function Documentation

## HandleResponseWithHosts()

virtual void XrdCl::RawWrapper::HandleResponseWithHosts | ( | XRootDStatus * | status,
|  | AnyObject * | response,
|  | HostList * | hostList )

inline virtual

Callback method (

See also
  ResponseHandler)

Note: does not delete itself because it is assumed that it is owned by the PipelineHandler (

See also
  PipelineHandler)

Reimplemented from XrdCl::ResponseHandler.

Definition at line 604 of file XrdClOperationHandlers.hh.

{
handler->HandleResponseWithHosts( status, response, hostList );
}

The documentation for this class was generated from the following file:

- XrdClOperationHandlers.hh